#!/bin/bash
#
# This file is part of Kde Image Menu (KIM). KIM was created by
# Charles Bouveyron <charles.bouveyron@free.fr>.
# 
# KIM is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# any later version.
# 
# KIM is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with Foobar; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

kdeinstdir=`kde-config --prefix`

Type=`kdialog --radiolist "Kim - Select installation type:" 1 "Standard" on 2 "With plugins" off 3 "Uninstall" off`

case $Type in
	1)	cp src/kim*.desktop $kdeinstdir/share/apps/konqueror/servicemenus/
		cp src/bin/kim* $kdeinstdir/bin/
		chmod a+rx $kdeinstdir/bin/kim*
		chmod a+r $kdeinstdir/share/apps/konqueror/servicemenus/kim*.desktop
		mkdir $kdeinstdir/share/apps/kim
		cd $kdeinstdir/share/apps/konqueror/servicemenus/
		mv imageconverter.desktop imageconverter.desktop~
		mv jpegorient.desktop jpegorient.desktop~
		echo "Installation completed. Good bye.";;
		
	2)	cp src/kim*.desktop $kdeinstdir/share/apps/konqueror/servicemenus/
		cp src/plugins/kim*.desktop $kdeinstdir/share/apps/konqueror/servicemenus/
		cp src/bin/kim* $kdeinstdir/bin/
		chmod a+rx $kdeinstdir/bin/kim*
		chmod a+r $kdeinstdir/share/apps/konqueror/servicemenus/kim*.desktop
		mkdir $kdeinstdir/share/apps/kim
		cd $kdeinstdir/share/apps/konqueror/servicemenus/
		mv imageconverter.desktop imageconverter.desktop~
		mv jpegorient.desktop jpegorient.desktop~
		echo "Installation completed. Good bye.";;
		
	3)	rm $kdeinstdir/share/apps/konqueror/servicemenus/kim*.desktop
		rm $kdeinstdir/bin/kim*
		cd $kdeinstdir/share/apps/konqueror/servicemenus/
		mv imageconverter.desktop~ imageconverter.desktop
		mv jpegorient.desktop~ jpegorient.desktop
		rm -rf $kdeinstdir/share/apps/kim
		echo "Kim is removed. Good bye.";;
	
	*)	
		echo "Installation aborted. Good bye."
		exit 1;;
esac
